﻿using System;
using System.IO;

namespace Util.Log
{
    public class LogHelper
    {
        public static void Info(string msg)
        {
            try
            {
                #region log
                //文件路径
                string path = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "logs");
                if (!Directory.Exists(path))
                {
                    Directory.CreateDirectory(path);
                }

                //文件
                string fileName = Path.Combine(path, $"{DateTime.Now:yyyyMMdd}.log");
                string message = $"{DateTime.Now:yyyy-MM-dd HH:mm:ss} logInfo：{msg}。{Environment.NewLine}";
                File.AppendAllText(fileName, message);
                #endregion
            }
            catch
            {


            }
        }
    }
}
