﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Learun.Application.Organization
{
    /// <summary>
    /// 描 述：教师信息管理
    /// </summary>
    public class EmpInfoEntity
    {
        #region  实体成员

        /// <summary>
        /// 教师用户ID
        /// </summary>
        //[Column("STUID")]
        public string F_UserId { get; set; }
        /// <summary>
        /// EmpId
        /// </summary>
        //[Column("EMPID")]
        public string EmpId { get; set; }
        /// <summary>
        /// 职工号
        /// </summary>
        //[Column("EMPNO")]
        public string EmpNo { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        //[Column("EMPNAME")]
        public string EmpName { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        //[Column("GENDERNO")]
        public bool? GenderNo { get; set; }
        /// <summary>
        /// 出生日期
        /// </summary>
        //[Column("BIRTHDAY")]
        public DateTime? Birthday { get; set; }
        /// <summary>
        /// 系所
        /// </summary>
        //[Column("DEPTNO")]
        public string DeptNo { get; set; }
        /// <summary>
        /// 身份证号
        /// </summary>
        //[Column("IDENTITYCARDNO")]
        public string IdentityCardNo { get; set; }
        /// <summary>
        /// 联系电话（手机）
        /// </summary>
        //[Column("MOBILE")]
        public string mobile { get; set; }

        //[Column("F_DEPARTMENTID")]
        public string F_DepartmentId { get; set; }
        /// <summary>
        /// 电子邮件
        /// </summary>
        //[Column("EMAIL")]
        public string EMail { get; set; }

        #endregion
    }

}