﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DigitalSchoolApi.Models
{
    public class EmailSendEntity
    {
        #region  实体成员
        /// <summary>
        /// 邮件发送主键
        /// </summary>
        /// <returns></returns>
        public string F_Id { get; set; }
        /// <summary>
        /// 发件人
        /// </summary>
        /// <returns></returns>
        public string F_Sender { get; set; }

        /// <summary>
        /// 发件人
        /// </summary>
        /// <returns></returns>
        public string F_SenderName { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        /// <returns></returns>
        public string F_To { get; set; }
        /// <summary>
        /// 抄送人
        /// </summary>
        /// <returns></returns>
        public string F_CC { get; set; }
        /// <summary>
        /// 密送人
        /// </summary>
        /// <returns></returns>
        public string F_BCC { get; set; }
        /// <summary>
        /// 颜色
        /// </summary>
        /// <returns></returns>
        public string F_Colour { get; set; }
        /// <summary>
        /// 主题
        /// </summary>
        /// <returns></returns>
        public string F_Subject { get; set; }
        /// <summary>
        /// 正文
        /// </summary>
        /// <returns></returns>
        public string F_BodyText { get; set; }
        /// <summary>
        /// 附件
        /// </summary>
        /// <returns></returns>
        public string F_Attachment { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        /// <returns></returns>
        public int? F_State { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        /// <returns></returns>
        public string F_Description { get; set; }
        /// <summary>
        /// 排序码
        /// </summary>
        /// <returns></returns>
        public int? F_SortCode { get; set; }
        /// <summary>
        /// 有效标志
        /// </summary>
        /// <returns></returns>
        public int? F_EnabledMark { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <returns></returns>
        public DateTime? F_CreatorTime { get; set; }
        /// <summary>
        /// 创建用户
        /// </summary>
        /// <returns></returns>
        public string F_CreatorUserId { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        /// <returns></returns>
        public DateTime? F_LastModifyTime { get; set; }
        /// <summary>
        /// 修改用户
        /// </summary>
        /// <returns></returns>
        public string F_LastModifyUserId { get; set; }
        /// <summary>
        /// 删除用户
        /// </summary>
        /// <returns></returns>
        public int? F_DeleteMark { get; set; }
        /// <summary>
        /// 删除时间
        /// </summary>
        /// <returns></returns>
        public DateTime? F_DeleteTime { get; set; }
        /// <summary>
        /// 删除用户
        /// </summary>
        /// <returns></returns>
        public string F_DeleteUserId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <returns></returns>
        public DateTime? F_Date { get; set; }

        #endregion
    }
}