﻿using System;

namespace DigitalSchoolApi.Models
{
    /// <summary>
    /// 塔里木同步oracle中间库数据实体
    /// </summary>
    public class OracleEducationalSystemInfoSync
    {

    }
    /// <summary>
    /// 院系
    /// </summary>
    public class CX_JW_YX
    {
        public string ID { get; set; }
        /// <summary>
        /// 院系编号
        /// </summary>
        public string YXBH { get; set; }
        /// <summary>
        /// 院系名称
        /// </summary>
        public string YXMC { get; set; }
    }
    /// <summary>
    /// 专业
    /// </summary>
    public class CX_JW_ZY
    {
        public string ID { get; set; }
        /// <summary>
        /// 专业编号
        /// </summary>
        public string ZYBH { get; set; }
        /// <summary>
        /// 专业名称
        /// </summary>
        public string ZYMC { get; set; }
        /// <summary>
        /// 专业简称
        /// </summary>
        public string ZYJC { get; set; }
        /// <summary>
        /// 专业英文名称
        /// </summary>
        public string ZYYWMC { get; set; }
        /// <summary>
        /// 所属院系（CX_JW_YX中的ID字段)
        /// </summary>
        public string YXID { get; set; }
        /// <summary>
        /// 院系编号
        /// </summary>
        public string YXBH { get; set; }
        /// <summary>
        /// 学制
        /// </summary>
        public string XZ { get; set; }
        /// <summary>
        ///培养层次
        /// </summary>
        public string PYCC { get; set; }
    }
    /// <summary>
    /// 班级
    /// </summary>
    public class CX_JW_BJ
    {
        public string ID { get; set; }
        /// <summary>
        /// 班级编号
        /// </summary>
        public string BJBH { get; set; }
        /// <summary>
        /// 班级名称
        /// </summary>
        public string BJMC { get; set; }
        /// <summary>
        /// 院系（CX_JW_YX中的ID字段）
        /// </summary>
        public string YXID { get; set; }
        /// <summary>
        /// 院系编号
        /// </summary>
        public string YXBH { get; set; }
        /// <summary>
        /// 专业（CX_JW_ZY中的ID字段）
        /// </summary>
        public string ZYID { get; set; }
        /// <summary>
        /// 专业编号
        /// </summary>
        public string ZYBH { get; set; }
        /// <summary>
        /// 年级
        /// </summary>
        public string SZNJ { get; set; }
        /// <summary>
        /// 校区（CX_JW_XQ中的ID字段）
        /// </summary>
        public string XQID { get; set; }
        /// <summary>
        /// 校区（CX_JW_XQ中的ID字段）
        /// </summary>
        public string KYZT { get; set; }
    }
    /// <summary>
    /// 学生信息
    /// </summary>
    public class CX_JW_XSXX
    {
        public string ID { get; set; }
        /// <summary>
        /// 学号
        /// </summary>
        public string XH { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string XM { get; set; }
        /// <summary>
        /// 姓名拼音
        /// </summary>
        public string XMPY { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string XB { get; set; }
        /// <summary>
        /// 出生日期
        /// </summary>
        public string CSRQ { get; set; }
        /// <summary>
        /// 身份证件号
        /// </summary>
        public string SFZJH { get; set; }
        /// <summary>
        /// 所在年级
        /// </summary>
        public string SZNJ { get; set; }
        public string YXBH { get; set; }
        /// <summary>
        /// 专业编号
        /// </summary>
        public string ZYBH { get; set; }
        /// <summary>
        /// 班级编号
        /// </summary>
        public string BJBH { get; set; }
        /// <summary>
        /// 学籍状态
        /// </summary>
        public string XJZT { get; set; }
        /// <summary>
        /// 是否在校
        /// </summary>
        public string SFZX { get; set; }
        /// <summary>
        /// 学生当前状态
        /// </summary>
        public string XSDQZT { get; set; }
        /// <summary>
        /// 考生号
        /// </summary>
        public string KSH { get; set; }
        /// <summary>
        /// 民族
        /// </summary>
        public string MZ { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string LXDH { get; set; }
        /// <summary>
        /// 政治面貌
        /// </summary>
        public string ZZMM { get; set; }
    }
}